package com.yanzhu.jh.project.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 材料送检对象 sur_project_check_detection
 * 
 * @author JiangYuQi
 * @date 2023-08-31
 */
public class SurProjectCheckDetection extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 项目主键 */
    @Excel(name = "项目主键")
    private Long projectId;

    /** 单位主键 */
    @Excel(name = "单位主键")
    private Long deptId;

    /** 送检类型 */
    @Excel(name = "送检类型")
    private String checkType;

    /** 材料名称 */
    @Excel(name = "材料名称")
    private String materialName;

    /** 使用部位 */
    @Excel(name = "使用部位")
    private String usePosition;

    /** 取样数量 */
    @Excel(name = "取样数量")
    private String sampleNum;

    /** 提供合格证 */
    @Excel(name = "提供合格证")
    private String qualifiedFlag;

    /** 代表数量 */
    @Excel(name = "代表数量")
    private String represenNum;

    /** 取样人 */
    @Excel(name = "取样人")
    private String sampleUser;

    /** 取样人名称 */
    @Excel(name = "取样人名称")
    private String sampleUserName;

    /** 见证人 */
    @Excel(name = "见证人")
    private String witnessUser;

    /** 见证人名称 */
    @Excel(name = "见证人名称")
    private String witnessUserName;

    /** 实验室名称 */
    @Excel(name = "实验室名称")
    private String laboratoryName;

    /** 送检时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "送检时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkTime;

    /** 送检状态 */
    @Excel(name = "送检状态")
    private String checkState;

    /** 检测结果 */
    @Excel(name = "检测结果")
    private String detectionResult;

    /** 检测报告 */
    @Excel(name = "检测报告")
    private String detectionFile;

    /** 数据状态 */
    @Excel(name = "数据状态")
    private String isDel;

    /** 审核状态 */
    @Excel(name = "审核状态")
    private String approveStatus;

    private String checkTypeName;
    private String projectName;
    private String deptName;

    private String createByName;
    private String updateByName;

    public String getCreateByName() {
        return createByName;
    }

    public void setCreateByName(String createByName) {
        this.createByName = createByName;
    }

    public String getUpdateByName() {
        return updateByName;
    }

    public void setUpdateByName(String updateByName) {
        this.updateByName = updateByName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setCheckType(String checkType) 
    {
        this.checkType = checkType;
    }

    public String getCheckType() 
    {
        return checkType;
    }
    public void setMaterialName(String materialName) 
    {
        this.materialName = materialName;
    }

    public String getMaterialName() 
    {
        return materialName;
    }
    public void setUsePosition(String usePosition) 
    {
        this.usePosition = usePosition;
    }

    public String getUsePosition() 
    {
        return usePosition;
    }
    public void setSampleNum(String sampleNum) 
    {
        this.sampleNum = sampleNum;
    }

    public String getSampleNum() 
    {
        return sampleNum;
    }
    public void setQualifiedFlag(String qualifiedFlag) 
    {
        this.qualifiedFlag = qualifiedFlag;
    }

    public String getQualifiedFlag() 
    {
        return qualifiedFlag;
    }
    public void setRepresenNum(String represenNum) 
    {
        this.represenNum = represenNum;
    }

    public String getRepresenNum() 
    {
        return represenNum;
    }
    public void setSampleUser(String sampleUser) 
    {
        this.sampleUser = sampleUser;
    }

    public String getSampleUser() 
    {
        return sampleUser;
    }
    public void setSampleUserName(String sampleUserName) 
    {
        this.sampleUserName = sampleUserName;
    }

    public String getSampleUserName() 
    {
        return sampleUserName;
    }
    public void setWitnessUser(String witnessUser) 
    {
        this.witnessUser = witnessUser;
    }

    public String getWitnessUser() 
    {
        return witnessUser;
    }
    public void setWitnessUserName(String witnessUserName) 
    {
        this.witnessUserName = witnessUserName;
    }

    public String getWitnessUserName() 
    {
        return witnessUserName;
    }
    public void setLaboratoryName(String laboratoryName) 
    {
        this.laboratoryName = laboratoryName;
    }

    public String getLaboratoryName() 
    {
        return laboratoryName;
    }
    public void setCheckTime(Date checkTime) 
    {
        this.checkTime = checkTime;
    }

    public Date getCheckTime() 
    {
        return checkTime;
    }
    public void setCheckState(String checkState) 
    {
        this.checkState = checkState;
    }

    public String getCheckState() 
    {
        return checkState;
    }
    public void setDetectionResult(String detectionResult) 
    {
        this.detectionResult = detectionResult;
    }

    public String getDetectionResult() 
    {
        return detectionResult;
    }
    public void setDetectionFile(String detectionFile) 
    {
        this.detectionFile = detectionFile;
    }

    public String getDetectionFile() 
    {
        return detectionFile;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getIsDel() {
        return isDel;
    }

    public void setIsDel(String isDel) {
        this.isDel = isDel;
    }

    public String getCheckTypeName() {
        return checkTypeName;
    }

    public void setCheckTypeName(String checkTypeName) {
        this.checkTypeName = checkTypeName;
    }

    public String getApproveStatus() {
        return approveStatus;
    }

    public void setApproveStatus(String approveStatus) {
        this.approveStatus = approveStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("deptId", getDeptId())
            .append("checkType", getCheckType())
            .append("materialName", getMaterialName())
            .append("usePosition", getUsePosition())
            .append("sampleNum", getSampleNum())
            .append("qualifiedFlag", getQualifiedFlag())
            .append("represenNum", getRepresenNum())
            .append("sampleUser", getSampleUser())
            .append("sampleUserName", getSampleUserName())
            .append("witnessUser", getWitnessUser())
            .append("witnessUserName", getWitnessUserName())
            .append("laboratoryName", getLaboratoryName())
            .append("checkTime", getCheckTime())
            .append("checkState", getCheckState())
            .append("detectionResult", getDetectionResult())
            .append("detectionFile", getDetectionFile())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
